webkul_prestashop_connector_configuration:
    path: /webkul/prestashop-configuration/

webkul_prestashop_connector_configuration_get:
    path: /webkul/prestashop-configuration/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.configuration:getAction }
    methods: [GET]

webkul_prestashop_connector_configuration_post:
    path: /webkul/prestashop-configuration/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.configuration:postAction }
    methods: [POST]

webkul_prestashop_connector_configuration_get_version:
    path: /webkul/prestashop-configuration/rest/get-version
    defaults: { _controller: webkul_prestashop_connector.controller.rest.configuration:getCurrentVersionAction }
    methods: [GET]

# Export Mapping Routes
webkul_prestashop_connector_configuration_export_mapping_index:
    path: /webkul/prestashop-configuration/export-mapping

webkul_prestashop_connector_configuration_export_mapping_edit:
    path: /webkul/prestashop-configuration/export-mapping/edit

webkul_prestashop_connector_configuration_prestashop_attribute_get:
    path: /webkul/prestashop-configuration/prestashop-attribuite/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.export_mapping:getPrestashopAttributesAction }
    methods: [GET]

webkul_prestashop_connector_configuration_prestashop_feature_get:
    path: /webkul/prestashop-configuration/prestashop-feature/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.export_mapping:getPrestashopFeaturesAction }
    methods: [GET]

webkul_prestashop_connector_configuration_prestashop_category_get:
    path: /webkul/prestashop-configuration/prestashop-category/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.export_mapping:getPrestashopCategoriesAction }
    methods: [GET]

webkul_prestashop_connector_configuration_akeneo_category_get:
    path: /webkul/prestashop-configuration/akeneo-category/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.export_mapping:getAkeneoCategoriesAction }
    methods: [GET]

# Export Mapping REST Routes
webkul_prestashop_connector_configuration_export_mapping_create:
    path: /webkul/prestashop-configuration/export-mapping/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.export_mapping:createAction }
    methods: [POST]
    
webkul_prestashop_connector_configuration_export_mapping_delete:
    path: /webkul/prestashop-configuration/export-mapping/rest/{id}
    defaults: { _controller: webkul_prestashop_connector.controller.rest.export_mapping:deleteAction }
    requirements:
        id: \d+
    methods: [DELETE]

webkul_prestashop_get_history_class:
    path: /webkul/prestashop-configuration/history-class/
    defaults: { _controller: webkul_prestashop_connector.controller.rest.configuration:getHistoryClassAction }
    methods: [GET]

wk_prestashop_export_mapping_datagrid_mass_action:
    path: /wk-presta/mass-action
    defaults: { _controller: wk_prestashop.export_mapping.controller.mass_action:massActionAction }

wk_prestashop_pim_enrich_mass_delete_export_mapping:
    path: '/delete-exportmapping'
    defaults: { _controller: wk_prestashop_pim_enrich.controller.rest.mass_delete:massDeleteAction }
    methods: [GET, POST]

wk_prestashop_credentials_create:
    path: /webkul/prestashop-configuration/credential
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:addAction }
    methods: [POST]

wk_prestashop_credentials_update:
    path: /webkul/prestashop-configuration/credential/update
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:addAction }
    methods: [POST]    

wk_prestashop_credentials_change_status:
    path: /webkul/prestashop-configuration/credential/{id}/toggle-status
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:toggleStatusAction }

wk_prestashop_credentials_delete:
    path: /webkul/prestashop-configuration/credential/{id}/delete
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:deleteAction }

wk_prestashop_credentials_get:
    path: /webkul/prestashop-configuration/rest/{id}
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:getAction }    
    methods: [GET]

wk_prestashop_credentials_get_all:
    path: /webkul/prestashop-configuration/credential/rest
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:getAllAction }    
    methods: [GET]

wk_prestashop_credentials_edit:
    path: /webkul/prestashop-configuration/rest/edit/{id}

wk_prestashop_credentials_change_default_quickexport:
    path: /webkul/prestashop-configuration/credential/default
    defaults: { _controller: webkul_prestashop_connector.controller.rest.credentials:changeDefaultAction }
    methods: [GET,POST,PUT]
